IT = {}

local OriginalSetHyperlink = ItemRefTooltip.SetHyperlink
function ItemRefTooltip:SetHyperlink(link, ...)
	if link and string.match(link, "InstanceTrackerLink") then
		return;
	end
	return OriginalSetHyperlink(self, link, ...);
end

function IT:PrintMsg(msg)
    local colorCodeStr = "|cff00CB72"
    local prefix = colorCodeStr.."InstanceTracker: |r"
    
    print(prefix..msg)
end

function IT:ReloadUIPopup(msg)
	IT:PrintMsg(msg)
	StaticPopupDialogs["RELOAD_UI"] = {
		text = "Do you want to reload your UI?", button1 = "Yes", button2 = "No",
		OnAccept = function()
			ReloadUI()
		end,
	}
	StaticPopup_Show("RELOAD_UI");
end

if SavedAntiReloadUISettings == nil then SavedAntiReloadUISettings = {} end

IT_CONST_UNIT_NAME_PLAYER = UnitName("player")